CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   problem with libmpi.so.0 (http://www.cfd-online.com/Forums/openfoam-installation/85974-problem-libmpi-so-0-a.html)

Spiro March 10, 2011 14:17

problem with libmpi.so.0
 
Hi there

i'm a newbie in linux/openfoam and i have this problem:

i installed openfoam on my notebook (opensuse 11.3 32bit) following the instructions. it seemed all to be correct and then i ran the cavity example. blockmesh, icofoam worked and paraview started but it stuck. i waited for 5 minutes but nothing happened i had no control over the machine. i pressed the off button and when i rebooted and tried to run the cavity example again i took the message by blockmesh:

blockMesh: error while loading shared libraries: libmpi.so.0: cannot open shared object file: No such file or directory

i checked in yast the mpi lib and found out that libmpi.so.0 exists on the system.

i tried other examples but took the same message.

can anybody help me?

Spiro March 11, 2011 05:53

ok the problem is solved. although i dont understand how...
i just ran the failsafe mode of suse and by rebooting everything worked.


All times are GMT -4. The time now is 06:25.